3

hello please help me I have tried everything

sudo apt-get -f install 
sudo apt-get autoclean

everything that I could find but i still get these error when I do make command

/usr/bin/ld: cannot find -lGLU
/usr/bin/ld: cannot find -lGL
/usr/bin/ld: cannot find -lXmu
/usr/bin/ld: cannot find -lXext
/usr/bin/ld: cannot find -lXi

collect2: error: ld returned 1 exit status
7

You need several development packages to build your program.

Open a terminal and install the following packages (as they are not installed by default):

sudo apt-get install libxmu-dev libxmu-headers freeglut3-dev libxext-dev libxi-dev

Then restart your make process.

| improve this answer | |
  • 4
    In my case (pip installing lxml) i needed : zlib1g-dev – jmunsch Jul 14 '16 at 0:02

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.